The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

The C Compiler is Broken

Discussion in 'General Discussion' started by bmcpanel, Sep 25, 2002.

  1. bmcpanel

    bmcpanel Well-Known Member

    Joined:
    Jun 1, 2002
    Messages:
    546
    Likes Received:
    0
    Trophy Points:
    16
    -- WHM 5.0.0 Cpanel 5.0.0-111 RedHat 7.1 -----

    I get this message when attempting to udpate CPanel via WHM

    ------------------------------
    The C Compiler is Broken

    Retrieving http://updates.cpanel.net//redhat/updates/7.1/en/os/i386/glibc-devel-2.2.4-29.i386.rpm
    Preparing... ##################################################
    glibc-devel ##################################################
    Cpanel updates are coming from layer2.cpanel.net
    -----------------------

    Then it goes on and appears to update fine.

    This has happened on 2 of my servers after an update about 5 days ago.

    Anyone else have this problem? Did the CPanel auto update break this and how do I fix it?
     
  2. webdave

    webdave Active Member

    Joined:
    Jul 4, 2002
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    I have gotten this error as well.
     
  3. bdraco

    bdraco Guest

    [quote:d0099b2d6c][i:d0099b2d6c]Originally posted by bmcpanel[/i:d0099b2d6c]

    -- WHM 5.0.0 Cpanel 5.0.0-111 RedHat 7.1 -----

    I get this message when attempting to udpate CPanel via WHM

    ------------------------------
    The C Compiler is Broken

    Retrieving http://updates.cpanel.net//redhat/updates/7.1/en/os/i386/glibc-devel-2.2.4-29.i386.rpm
    Preparing... ##################################################
    glibc-devel ##################################################
    Cpanel updates are coming from layer2.cpanel.net
    -----------------------

    Then it goes on and appears to update fine.

    This has happened on 2 of my servers after an update about 5 days ago.

    Anyone else have this problem? Did the CPanel auto update break this and how do I fix it?[/quote:d0099b2d6c]

    No .. this is a good thing (tm) .. cPanel just detected your headers were corrupted and auto-repaired them.
     
  4. bmcpanel

    bmcpanel Well-Known Member

    Joined:
    Jun 1, 2002
    Messages:
    546
    Likes Received:
    0
    Trophy Points:
    16
    [quote:e251dcf4f6][i:e251dcf4f6]Originally posted by bdraco[/i:e251dcf4f6]

    No .. this is a good thing (tm) .. cPanel just detected your headers were corrupted and auto-repaired them.
    [/quote:e251dcf4f6]

    Okay. But, after I upgrade, it does the same thing the next time I udpate.

    WHM 5.0.0 Cpanel 5.0.0-R123 RedHat 7.1

    -----------------------------------------------
    The C Compiler is Broken
    Retrieving http://updates.cpanel.net//redhat/updates/7.1/en/os/i386/glibc-devel-2.2.4-29.i386.rpm
    Preparing... ##################################################
    glibc-devel ##################################################
    Cpanel updates are coming from layer2.cpanel.net
    ---------------------------------

    So I am assuming the updates are not fixing the problem?
     
  5. bdraco

    bdraco Guest

    [quote:ab60330272][i:ab60330272]Originally posted by bmcpanel[/i:ab60330272]

    [quote:ab60330272][i:ab60330272]Originally posted by bdraco[/i:ab60330272]

    No .. this is a good thing (tm) .. cPanel just detected your headers were corrupted and auto-repaired them.
    [/quote:ab60330272]

    Okay. But, after I upgrade, it does the same thing the next time I udpate.

    WHM 5.0.0 Cpanel 5.0.0-R123 RedHat 7.1

    -----------------------------------------------
    The C Compiler is Broken
    Retrieving http://updates.cpanel.net//redhat/updates/7.1/en/os/i386/glibc-devel-2.2.4-29.i386.rpm
    Preparing... ##################################################
    glibc-devel ##################################################
    Cpanel updates are coming from layer2.cpanel.net
    ---------------------------------

    So I am assuming the updates are not fixing the problem?
    [/quote:ab60330272]

    You might try compiling helloworld.c and looking at the errors.
    -Nick
     
  6. ukhost

    ukhost Well-Known Member

    Joined:
    Jan 8, 2002
    Messages:
    222
    Likes Received:
    0
    Trophy Points:
    16
    never mind, fixed it's self!
     
  7. TRAIN YARD SOFTWARE

    TRAIN YARD SOFTWARE Well-Known Member

    Joined:
    Dec 20, 2001
    Messages:
    224
    Likes Received:
    0
    Trophy Points:
    16
    same here. dont know how to do the helloworld.c thing
     
  8. Kaith Rustaz

    Kaith Rustaz Active Member

    Joined:
    Jun 5, 2002
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    Ok, it found errors and repaired them. But the very next time the update runs, it finds them corrupted again and has to keep repairing them? This has happened for the last week at least, everytime CPanel updates. If I run it manually 3x back to back, its broken then fixed -each- time.

    Somethings odd here. How do you compile to see whats going on? I'm not a C hacker either.
     
  9. Kaith Rustaz

    Kaith Rustaz Active Member

    Joined:
    Jun 5, 2002
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    I just ran upcp and on this pass through it didn't mention the compiler, but gave this msg:

    Checking to see if you have the latest version.....Compare: Cpanel-5.0.0-STABLE_237-Linux-i686-glibc-2.1.3-21.2mdk != Cpanel-5.0.0-STABLE_237-Linux-i686-glibc-2.1.3-20.2mdk
    Nope! You have 5.0.0-STABLE_237

    I think this is the problem...its out of sync with itself and goofing up the compiler.


    ran it 2 more times, each time it says the compiler mdk is wrong and updates.

    ==& Checking to see if you have the latest version.....Compare: Cpanel-5.0.0-STABLE_237-Linux-i686-glibc-2.1.3-21.2mdk != Cpanel-5.0.0-STABLE_237-Linux-i686-glibc-2.1.3-20.2mdk
    Nope! You have 5.0.0-STABLE_237
    ==& Fetching the main installation program; please be patient...http://layer2.cpanel.net/Cpanel-5.0.0-STABLE_237-Linux-i686-glibc-2.1.3-21.2mdk (8328K)

    So...whats going on?
     
  10. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA
    Look closer at that line. The glibc files are differentm, so that is why it is saying you don't have the most recent version.

    Jaz
     
  11. Kaith Rustaz

    Kaith Rustaz Active Member

    Joined:
    Jun 5, 2002
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    ok, that makes sence...so....the question remains...why dont I?

    Looks like its trying to update it, but it can't.

    Looks like the Cpanel updater is borked.
     
Loading...

Share This Page